S3D_PEP_POLYGON_NORM(3)

NAME
s3d_pep_polygon_normals - add normals to polygon

SYNOPSIS

#include <s3d.h>

int s3d_pep_polygon_normals(int object, const float *nbuf, uint16_t n);

DESCRIPTION

Adds normal information to polygons, giving each vertex of a polygon a normal information. With this, you can achieve smoothed edge effects.

nbuf should contain n * 9 float values, for each vertex a normal vector (x,y,z), and you have 3 vertices for each Polygon so that makes 9 float values per Polygon in total. Don't worry if you don't use this, it's kind of hard to calculate and the server will always use some proper normal values (same for every vertex, calculated by the plane which is defined by the 3 points of the polygon.

AUTHOR

Simon Wunderlich
    Author of s3d